#
# spec file for package pointfree
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name pointfree
%bcond_with tests
Name:           %{pkg_name}
Version:        1.1.1.3
Release:        10.30
Summary:        Tool for refactoring expressions into pointfree form
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
%endif

%description
The pointfree tool is a standalone command-line version of the pl plugin for
lambdabot.

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q
cabal-tweak-dep-ver base '< 4.10' '<5'

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%doc LICENSE
%doc ChangeLog README
%{_bindir}/%{name}

%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENSE

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc ChangeLog README

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 1.1.1.3 with cabal2obs.
* Wed Feb 22 2017 psimons@suse.com
- Apply "update-dependencies-for-lts-8.patch" downloaded from
  https://github.com/bmillwood/pointfree/pull/22.patch to fix
  broken dependencies in LTS 8.x.
* Fri Sep 16 2016 psimons@suse.com
- Update to version 1.1.1.2 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.1.1.1 revision 0 with cabal2obs.
* Wed Jun  1 2016 mimi.vx@gmail.com
- update to 1.1.1.1
- drop fix-haskell-src-exts.patch , upstreamed
  * Fix some bugs in qualified operator handling
  * Dependency update for HSE 1.17, transformers 0.5
* Tue Dec 15 2015 mimi.vx@gmail.com
- add fix-haskell-src-exts.patch Sergei Trofimovich <siarheit@google.com>
* Thu Jun 18 2015 mimi.vx@gmail.com
- initial commit
